---
title: VideoPlaybackQuality
slug: Web/API/VideoPlaybackQuality
tags:
  - API
  - Experimental
  - Frames
  - HTML DOM
  - Interface
  - Media
  - Media Playback Quality
  - Media Playback Quality API
  - Playback
  - Quality
  - Reference
  - Video
  - VideoPlaybackQuality
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">A <code><strong>VideoPlaybackQuality</strong></code> object is returned by the {{domxref("HTMLVideoElement.getVideoPlaybackQuality()")}} method and contains metrics that can be used to determine the playback quality of a video.</span></p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>VideoPlaybackQuality</code> interface doesn't inherit properties from any other interfaces.</em></p>

<dl>
 <dt>{{domxref("VideoPlaybackQuality.creationTime", "creationTime")}} {{readonlyInline}}</dt>
 <dd>A {{domxref("DOMHighResTimeStamp")}} containing the time in miliseconds between the start of the navigation and the creation of the object.</dd>
 <dt>{{domxref("VideoPlaybackQuality.droppedVideoFrames", "droppedVideoFrames")}} {{readonlyInline}}</dt>
 <dd>An <code>unsigned long</code> giving the number of video frames dropped since the creation of the associated {{domxref("HTMLVideoElement")}}.</dd>
 <dt>{{domxref("VideoPlaybackQuality.totalVideoFrames", "totalVideoFrames")}} {{readonlyInline}}</dt>
 <dd>An <code>unsigned long</code> giving the number of video frames created and dropped since the creation of the associated {{domxref("HTMLVideoElement")}}.</dd>
</dl>

<h3 id="Obsolete_properties">Obsolete properties</h3>

<dl>
 <dt>{{domxref("VideoPlaybackQuality.corruptedVideoFrames", "corruptedVideoFrames")}} {{readonlyInline}}</dt>
 <dd>An <code>unsigned long</code> giving the number of video frames corrupted since the creation of the associated {{domxref("HTMLVideoElement")}}. A corrupted frame may be created or dropped.</dd>
 <dt>{{domxref("VideoPlaybackQuality.totalFrameDelay", "totalFrameDelay")}} {{readonlyInline}} {{obsolete_inline}}</dt>
 <dd>A <code>double</code> containing the sum of the frame delay since the creation of the associated {{domxref("HTMLVideoElement")}}. The frame delay is the difference between a frame's theoretical presentation time and its effective display time.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>VideoPlaybackQuality</code> interface has no methods, and does not inherit any.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Playback Quality', '#idl-def-videoplaybackquality', 'VideoPlaybackQuality')}}</td>
   <td>{{Spec2('Media Playback Quality')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.VideoPlaybackQuality")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLVideoElement.getVideoPlaybackQuality()")}} method to get a <code>VideoPlaybackQuality</code> object</li>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
</ul>
